From fea0cefcb3442ca640a7f502ba59398d32de3dbf Mon Sep 17 00:00:00 2001
From: "Christian Goetze (CG)" <cg@lindenlab.com>
Date: Wed, 16 Mar 2011 16:44:19 -0700
Subject: Add a more precise error check for "autobuild source_environment".

---
 build.sh | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/build.sh b/build.sh
index 86693a6fdb..f0c5dc91fc 100755
--- a/build.sh
+++ b/build.sh
@@ -142,7 +142,16 @@ then
 fi
 
 # load autbuild provided shell functions and variables
-eval "$("$AUTOBUILD" source_environment)"
+if "$AUTOBUILD" source_environment > source_environment
+then
+  . source_environment
+else
+  # dump environment variables for debugging
+  env|sort
+  record_failure "autobuild source_environment failed"
+  cat source_environment >&3
+  exit 1
+fi
 
 # dump environment variables for debugging
 env|sort
-- 
cgit v1.2.3